<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="BPA.ApolloClient" Version="1.0.12" />
    <PackageReference Include="BPA.Message" Version="1.0.26" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="6.0.1" />
    <PackageReference Include="Microsoft.Extensions.Configuration.FileExtensions" Version="6.0.0" />
    <PackageReference Include="System.Configuration.ConfigurationManager" Version="6.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\BPASmartClient.Device\BPASmartClient.Device.csproj" />
    <ProjectReference Include="..\BPASmartClient.Helper\BPASmartClient.Helper.csproj" />
    <ProjectReference Include="..\BPASmartClient.Http\BPASmartClient.Http.csproj" />
    <ProjectReference Include="..\BPASmartClient.Model\BPASmartClient.Model.csproj" />
    <ProjectReference Include="..\BPASmartClient.MQTT\BPASmartClient.MQTT.csproj" />
  </ItemGroup>

</Project>
